org.eclipse.microprofile.config.tck

## Class ConfigPropertiesTest.BeanOne

- java.lang.Object
- - org.eclipse.microprofile.config.tck.ConfigPropertiesTest.BeanOne

Enclosing class:
  ConfigPropertiesTest

    @ConfigProperties(prefix="customer")
    public static class ConfigPropertiesTest.BeanOne
    extends Object

### Field Summary

Fields
`String[]` `hobbies`
`protected String` `job`
`Location` `location`

### Constructor Summary

Constructors
Constructor and Description
`BeanOne()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### location

    public Location location

#### job

    protected String job

#### hobbies

    public String[] hobbies

### Constructor Detail

#### BeanOne

    public BeanOne()

### Method Detail

#### getName

    public String getName()

Returns:
  String return the name